$(function () {
    panel_principal();  
});

function refrescar_select(){
    $(".select2").select2();
    $(".select2").attr("style", "width: 100%;");
}

function panel_principal(){
    $.ajax({
        type:"POST", url: "datos.php", data: {filtro:""}
    }).done(function(datos){
        $("#datos").html(datos);
    });
}

function panel_agregar(id_cobro){
    $.ajax({
        type:"POST", url: "panel_agregar.php", data: {filtro:""}
    }).done(function(datos){
        $("#panel-agregar").html(datos);
        $("#btn-panel-agregar").click();
        panel_cabecera(id_cobro);
        panel_detalle(id_cobro);
    });
}

function panel_cliente(){
    var id_cliente = $("#vcliente").val();
    $.ajax({
        type:"POST", url: "panel_cliente.php", data: {id_cliente: id_cliente}
    }).done(function(datos){
        $("#panel-cliente").html(datos);
    });
}

function formato_tabla(tabla,cantidad){
    $(tabla).DataTable({
        "lengthChange": false,
        responsive: "true",
        "iDisplayLength": cantidad,
        language: {
            "sSearch":"Buscar: ",
            "sInfo":"Mostrando resultados del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoFiltered": "(filtrado de entre _MAX_ registros)",
            "sZeroRecords":"No hay resultados",
            "sInfoEmpty":"No hay resultados",
            "oPaginate":{
                "sNext":"Siguiente",
                "sPrevious":"Anterior"
            }
        }
    });
}

function panel_cabecera(id_cobro){
    $.ajax({
        type:'POST', url:'panel_cabecera.php', data:{id_cobro:id_cobro}
    }).done(function(resultado){
        $("#panel-cabecera").html(resultado);
        refrescar_select();
    });
}

function panel_detalle(id_cobro){
    $.ajax({
        type:'POST', url:'panel_detalle.php', data:{id_cobro:id_cobro}
    }).done(function(resultado){
        $("#panel-detalle").html(resultado);
        refrescar_select();
    });
}

function panel_forma_cobro(){
    var id_cobro = $("#cobcod").val();
    $.ajax({
        type:'POST', url:'panel_forma_cobro.php', data:{id_cobro:id_cobro}
    }).done(function(resultado){
        $("#panel-forma-cobro").html(resultado);
        refrescar_select();
    });
}

function panel_forma_detalle(){
    var id_fc = $("#id_fc").val();
    $.ajax({
        type:'POST', url:'panel_forma_detalle.php', data:{id_fc:id_fc}
    }).done(function(resultado){
        $("#panel-forma-detalle").html(resultado);
        refrescar_select();
    });
}

function agregar_panel_forma(){
    panel_forma_cobro();
    $("#btn-panel-forma-cobro").click();
}

function agregar_grabar(){
    $("#operacion").val(1);
    grabar();
}

function agregar_articulo(){
    $("#operacion").val(2);
    grabar();
}

function agregar_cuenta(vcta_id){
    $("#operacion").val(3);
    $("#vcta_id").val(vcta_id);
    grabar();
}

function quitar_concepto(vcta_id){
    $("#operacion").val(4);
    $("#vcta_id").val(vcta_id);
    grabar();
}

function agregar_forma(operacion, id_ct, id_cch){
    $("#operacion_forma").val(operacion);
    $("#id_ct").val(id_ct);
    $("#id_cch").val(id_cch);
    grabar_forma();
}

function grabar(){
    var operacion = $("#operacion").val();
    if(operacion == '1'){
        var cobcod = '0';
        var vapertura = $("#vapertura").val();
        var vtipo = $("#vtipo").val();
        var vcliente = $("#vcliente").val();
        var vanombrede = $("#vanombrede").val();
        var varucde = $("#varucde").val();
        var vcta_id = '0';
        var vmonto = '0';
        var vid_articulo = '0';
        var vcantidad = '0';
        if( $('#vcondely').prop('checked')) {
            var vdelivery = 'true';   
        }else{
            var vdelivery = 'false';   
        }        
    }
    if(operacion == '2'){
        var cobcod = $("#cobcod").val();
        var vapertura = $("#vapertura").val();
        var vtipo = '0';
        var vcliente = $("#vcliente").val();
        var vanombrede = '';
        var varucde = '';
        var vcta_id = '0';
        var vmonto = '0';
        var vid_articulo = $("#vid_articulo").val();
        var vcantidad = $("#vcantidad").val();
        var vdelivery = 'false';   
          
    }
    if(operacion == '3'){
        var cobcod = $("#cobcod").val();
        var vapertura = $("#vapertura").val();
        var vtipo = '0';
        var vcliente = $("#vcliente").val();
        var vanombrede = '';
        var varucde = '';
        var vcta_id = $("#vcta_id").val();
        var vmonto = $("#vmonto_" + $("#vcta_id").val()).val();
        var vid_articulo = '0';
        var vcantidad = '0';
        var vdelivery = 'false';   
    }
    if(operacion == '4'){
        var cobcod = $("#cobcod").val();
        var vapertura = $("#vapertura").val();
        var vtipo = '0';
        var vcliente = $("#vcliente").val();
        var vanombrede = '';
        var varucde = '';
        var vcta_id = $("#vcta_id").val();
        var vmonto = '0';
        var vid_articulo = $("#vid_articulo").val();
        var vcantidad = $("#vcantidad").val();                        
        var vdelivery = 'false';   
    }
    $.ajax({
        type: 'POST',
        url: 'grabar.php',
        data:{
            ban: operacion,
            cobcod: cobcod,
            vapertura: vapertura,
            vtipo: vtipo,
            vcliente: vcliente,
            vanombrede: vanombrede,
            varucde: varucde,
            vcta_id: vcta_id,
            vmonto: vmonto,
            vid_articulo: vid_articulo,
            vcantidad: vcantidad,
            vdelivery: vdelivery
        }
    }).done(function(resultado){
        //alert(resultado);
        if(verificar_mensaje(resultado)){
            postgrabar(operacion);
        }
    });
}

function grabar_forma(){
    var operacion = $("#operacion_forma").val();
    if(operacion == '1'){
        var id_cobro = $("#cobcod").val();
        var monto = $("#monto").val();
        var id_ct = '0';
        var nro_tarjeta = '0';
        var id_ee = '0';
        var id_mt = '0';
        var nro_cupon = '0';
        var tipo = '';
        var id_cch = '0';
        var id_banco = '0';
        var nro_cheque = '0';
        var ca_orden_de = '';
        var cheque_venc = '2020-01-01';
    }
    if(operacion == '2'){
        var id_cobro = $("#cobcod").val();
        var monto = $("#monto").val();
        var id_ct = '0';
        var nro_tarjeta = $("#nro_tarjeta").val();
        var id_ee = $("#id_ee").val();
        var id_mt = $("#id_mt").val();
        var nro_cupon = $("#nro_cupon").val();
        var tipo = $("#tipo").val();
        var id_cch = '0';
        var id_banco = '0';
        var nro_cheque = '0';
        var ca_orden_de = '';
        var cheque_venc = '2020-01-01';
    }
    if(operacion == '3'){
        var id_cobro = $("#cobcod").val();
        var monto = $("#monto").val();
        var id_ct = '0';
        var nro_tarjeta = '0';
        var id_ee = '0';
        var id_mt = '0';
        var nro_cupon = '0';
        var tipo = $("#tipo").val();
        var id_cch = $("#id_cch").val();
        var id_banco = $("#id_banco").val();
        var nro_cheque = $("#nro_cheque").val();
        var ca_orden_de = $("#ca_orden_de").val();
        var cheque_venc = $("#cheque_venc").val();
    }
    if(operacion == '4'){
        var id_cobro = $("#cobcod").val();
        var monto = '0';
        var id_ct = '0';
        var nro_tarjeta = '0';
        var id_ee = '0';
        var id_mt = '0';
        var nro_cupon = '0';
        var tipo = '';
        var id_cch = '0';
        var id_banco = '0';
        var nro_cheque = '0';
        var ca_orden_de = '';
        var cheque_venc = '2020-01-01';
    }
    if(operacion == '5'){
        var id_cobro = $("#cobcod").val();
        var monto = '0';
        var id_ct = $("#id_ct").val();
        var nro_tarjeta = '0';
        var id_ee = '0';
        var id_mt = '0';
        var nro_cupon = '0';
        var tipo = '';
        var id_cch = '0';
        var id_banco = '0';
        var nro_cheque = '0';
        var ca_orden_de = '';
        var cheque_venc = '2020-01-01';
    }
    if(operacion == '6'){
        var id_cobro = $("#cobcod").val();
        var monto = '0';
        var id_ct = '0';
        var nro_tarjeta = '0';
        var id_ee = '0';
        var id_mt = '0';
        var nro_cupon = '0';
        var tipo = '';
        var id_cch = $("#id_cch").val();
        var id_banco = '0';
        var nro_cheque = '0';
        var ca_orden_de = '';
        var cheque_venc = '2020-01-01';
    }
    $.ajax({
        type: 'POST',
        url: 'grabar_forma.php',
        data:{
            id_cobro: id_cobro,
            monto: monto,
            id_ct: id_ct,
            nro_tarjeta: nro_tarjeta,
            id_ee: id_ee,
            id_mt: id_mt,
            nro_cupon: nro_cupon,
            tipo: tipo,
            id_cch: id_cch,
            id_banco: id_banco,
            nro_cheque: nro_cheque,
            ca_orden_de: ca_orden_de,
            cheque_venc: cheque_venc,
            operacion: operacion
        }
    }).done(function(resultado){
        //alert(resultado);
        if(verificar_mensaje(resultado)){
            postgrabar_forma(operacion);
        }
    });
}

function postgrabar(operacion){
    if(operacion == '1'){
        panel_principal();
        panel_cabecera(-1);
        panel_detalle(-1);
    }
    if(operacion == '2' || operacion == '3' || operacion == '4'){
        panel_principal();
        panel_detalle($("#cobcod").val());
    }
}

function postgrabar_forma(operacion){
    if(operacion == '1' || operacion == '2' || operacion == '3' || operacion == '4' || operacion == '5' || operacion == '6'){
        panel_principal();
        panel_detalle($("#cobcod").val());
        panel_forma_cobro();
    }
}
function anular(datos) {
    var dat = datos.split("_");
    $('#si').attr('href', 'grabar.php?cobcod=' + dat[0] +
            '&vapertura=0' +
            '&vtipo=0' +
            '&vcliente=0' +
            '&vanombrede=null' +
            '&varucde=null' +
            '&vcta_id=0' +
            '&vmonto=0' +
            '&vcantidad=0' +
            '&vid_articulo=0' +
            '&vdelivery=false'+
            '&ban=5');
    $('#confirmacion').html('<span class="glyphicon glyphicon-warning-sign"></span>\n\
    Desea anular la factura N° <strong>' + dat[1] + '</strong> ?');
}